const build_config = @import("build_config");

pub usingnamespace @cImport({
    @cInclude("epoxy/gl.h");
    @cInclude("GLFW/glfw3.h");
    @cInclude("yaml.h");
    @cInclude("lo/lo.h");

    if (build_config.have_ffmpeg) {
        @cInclude("libavcodec/avcodec.h");
        @cInclude("libavformat/avformat.h");
        @cInclude("libswscale/swscale.h");
    }

    if (build_config.have_hap) {
        @cInclude("hap.h");
    }
});
